%define		basever		3.4
Summary:	Epiphany - WebKit-based GNOME web browser
Summary(es.UTF-8):	Epiphany - navigador Web de GNOME basado en WebKit
Summary(pl.UTF-8):	Epiphany - przeglądarka WWW dla GNOME
Name:		epiphany
Version:	3.4.3
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/GNOME/sources/epiphany/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	8e71a44c4bd3062777a25a34213e75f4
URL:		http://www.gnome.org/projects/epiphany/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	avahi-devel >= 0.6.22
BuildRequires:	avahi-gobject-devel >= 0.6.22
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	gtk-webkit3-devel >= 1.8.2
BuildRequires:	intltool >= 0.40.0
BuildRequires:	iso-codes >= 0.53
BuildRequires:	libgnome-keyring-devel >= 2.28.0
BuildRequires:	libnotify-devel >= 0.5.1
BuildRequires:	libsoup-gnome-devel >= 2.38.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	libxslt-devel >= 1.1.20
BuildRequires:	nss-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	scrollkeeper
Requires:	ca-certificates
Requires:	dbus >= 1.0.2
Requires:	gnome-icon-theme >= 3.4.0
Requires:	gsettings-desktop-schemas
Requires:	gtk-webkit3 >= 1.8.2
Provides:	wwwbrowser
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME browser based on WebKit.

%description -l es.UTF-8
Navigador Web de GNOME basado en WebKit.

%description -l pl.UTF-8
Epiphany jest przeglądarką WWW opartą na silniku WebKit.

%package devel
Summary:	Epiphany header files
Summary(es.UTF-8):	Ficheros de cabecera de Epiphany
Summary(pl.UTF-8):	Pliki nagłówkowe Epiphany
Group:		X11/Applications/Networking
# doesn't require base
Requires:	gtk+3-devel >= 3.4.0
Requires:	gtk-webkit3-devel >= 1.8.2
Requires:	libxml2-devel >= 1:2.6.28

%description devel
Epiphany header files for plugin development.

%description devel -l es.UTF-8
Ficheros de cabecera de Epiphany para desarrollar plug-ins.

%description devel -l pl.UTF-8
Pliki nagłówkowe Epiphany do tworzenia wtyczek.

%package apidocs
Summary:	Epiphany API documentation
Summary(pl.UTF-8):	Dokumentacja API Epiphany
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Epiphany API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Epiphany.

%prep
%setup -q

%build
%{__gnome_doc_prepare}
%{__gnome_doc_common}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--disable-schemas-compile \
	--with-distributor-name="PLD Linux" \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/%{basever}/extensions

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_desktop_database_post
%glib_compile_schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/epiphany
%attr(755,root,root) %{_bindir}/ephy-profile-migrator
%{_datadir}/dbus-1/services/org.gnome.Epiphany.service
%{_datadir}/%{name}
%{_datadir}/GConf/gsettings/epiphany.convert
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.epiphany.gschema.xml
%{_desktopdir}/epiphany.desktop
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{basever}
%dir %{_libdir}/%{name}/%{basever}/extensions
%{_libdir}/girepository-1.0/Epiphany-*.typelib
%{_mandir}/man1/epiphany.1*

%files devel
%defattr(644,root,root,755)
%{_aclocaldir}/epiphany.m4
%{_includedir}/epiphany
%{_pkgconfigdir}/epiphany-*.pc
%{_datadir}/gir-1.0/Epiphany-*.gir

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/epiphany
%changelog
* Thu Aug 30 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/epiphany.git;a=log;h=master

* Sun Aug 12 2012 Łukasz Kieś <kiesiu@pld-linux.org> fd8c25b
- updated to 3.4.3

* Sun May 20 2012 Łukasz Kieś <kiesiu@pld-linux.org> 84bd804
- updated to 3.4.2

* Wed Apr 18 2012 Marcin Banasiak <marcin.banasiak@gmail.com> e802399
- updated to 3.4.1

* Fri Mar 30 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 3a5cc94
- fixed basever
- release 2

* Fri Mar 30 2012 Marcin Banasiak <marcin.banasiak@gmail.com> d60581c
- updated to 3.4.0.1; merged changes from DEVEL

* Wed Feb 01 2012 lisu <lisu@pld-linux.org> 16d5fde
- updated to 3.2.1

* Fri Oct 14 2011 Artur Frysiak <artur@frysiak.net> 5fe2dbb
- set basever to 3.2
- rel. 2

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> 13ca155
- up to 3.2.0

* Fri May 20 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9734fe6
- updated to 3.0.3

* Wed May 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 7b5bedd
- updated to 3.0.2

* Tue Apr 05 2011 Marcin Banasiak <marcin.banasiak@gmail.com> fb63646
- updated to 3.0.0; merged from DEVEL

* Sat Mar 26 2011 Jakub Bogusz <qboosh@pld-linux.org> be24775
- en@shaw locale is now supported (via LANGUAGE)
- use __rm macro

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 55d617f
- Requires(post,postun): gtk-update-icon-cache

* Thu Jul 22 2010 Patryk Zawadzki <patrys@room-303.com> 7822194
- rebuild
- rel 4

* Tue Apr 13 2010 Jan Rękorajski <baggins@pld-linux.org> af6ddef
- rel 3
- BR gir-repository-devel

* Tue Apr 13 2010 Jan Rękorajski <baggins@pld-linux.org> 0ac0218
- rel 2
- basever/API is 2.29

* Thu Apr 08 2010 Marcin Banasiak <marcin.banasiak@gmail.com> d08074d
- merged from DEVEL

* Wed Dec 16 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4ebf5ba
- updated to 2.28.2

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> 1e6eea5
- BR: docbook-dtd412-xml

* Mon Oct 26 2009 Jan Rękorajski <baggins@pld-linux.org> f608403
- rel 2
- restore libdir/VER/extensions dir

